Bug 1810096 - CVE-2020-9402 python-django: django: potential SQL injection via "tolerance" parameter in GIS functions and aggregates on Oracle [openstack-rdo]
Summary: CVE-2020-9402 python-django: django: potential SQL injection via "tolerance" ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: trunk
Assignee: Joel Capitao
QA Contact: Shai Revivo
URL:
Whiteboard: component:python-django
Depends On:
Blocks: CVE-2020-9402
TreeView+ depends on / blocked
 
Reported: 2020-03-04 14:33 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-07-28 16:02 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-28 16:02:34 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-03-04 14:33:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of openstack-rdo.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Matthias Runge 2020-03-10 13:54:45 UTC
In RDO, there is no direct database connection for the Web UI (Horizon), it only communicates with backend APIs.

Comment 2 Joel Capitao 2020-07-28 16:02:34 UTC
To complete what Matthias said, Oracle is not used/tested in RDO.
Plus, this issue was rated as moderate impact so we will not fix it at this point.


Note You need to log in before you can comment on or make changes to this bug.